Dev GuideRecipesAPI ReferenceChangelog
Dev GuideAPI ReferenceChangelogUser GuideDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

PATCH /tasks/{task_id}/steps/{step_id}/sub-steps/{sub_step_id}

Update a substep of a step in a task

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique identifier of the task

string
required

Unique identifier of the step

string
required

Unique identifier of the substep

Body Params

Payload to update the substep

boolean
enum

Whether the substep should be completed; cannot be passed together with is_in_progress, is_skipped or assignee_id

Allowed:
boolean
enum

Whether the substep should be progressed; cannot be passed together with is_completed, is_skipped or assignee_id

Allowed:
boolean
enum

Whether the substep should be skipped; cannot be passed together with is_in_progress, is_completed or assignee_id

Allowed:
string | null

ID of the assignee for the substep; cannot be passed together with is_completed, is_in_progress or is_skipped

string
enum

Type of the assignee for the substep. If not provided with assignee_id, defaults to user.

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json